de.esprit.appsuite.database.dbase.tools

## Class DBToolCommandLineParser

- java.lang.Object
- - de.esprit.common.clp.CommandLineParser
  - - de.esprit.appsuite.launch.ApplicationCommandLineParser
    - - de.esprit.appsuite.database.dbase.clp.DatabaseCommandLineParser
      - - de.esprit.appsuite.database.dbase.tools.DBToolCommandLineParser

-     public class DBToolCommandLineParser
      extends DatabaseCommandLineParser

  This CommandLineParser handles the special options -sql, -script, -skipErrors
  Author:
    Rainer Buesch

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `DBToolCommandLineParser.MyOptionSkipErrors`
    `protected static class` | `DBToolCommandLineParser.MyOptionSqlCommand`
    `protected static class` | `DBToolCommandLineParser.MyOptionSqlScript`

    - ### Nested classes/interfaces inherited from class de.esprit.appsuite.database.dbase.clp.DatabaseCommandLineParser

      `DatabaseCommandLineParser.OptionCredDir, DatabaseCommandLineParser.OptionCredFile, DatabaseCommandLineParser.OptionDbPassword, DatabaseCommandLineParser.OptionDbUrl, DatabaseCommandLineParser.OptionDbUser, DatabaseCommandLineParser.OptionJdbcDriver, DatabaseCommandLineParser.OptionLoginTimeout, DatabaseCommandLineParser.OptionMaxConns, DatabaseCommandLineParser.OptionMinConns, DatabaseCommandLineParser.OptionSchema`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected DBToolCommandLineParser.MyOptionSkipErrors` | `optSkipErrors`
    `protected DBToolCommandLineParser.MyOptionSqlCommand` | `optSqlCommand`
    `protected DBToolCommandLineParser.MyOptionSqlScript` | `optSqlScript`

    - ### Fields inherited from class de.esprit.appsuite.database.dbase.clp.DatabaseCommandLineParser

      `optCredDir, optCredFile, optDriver, optLoginTimeout, optMaxConns, optMinConns, optPassword, optSchema, optUrl, optUser`

    - ### Fields inherited from class de.esprit.appsuite.launch.ApplicationCommandLineParser

      `optApplicationName`

    - ### Fields inherited from class de.esprit.common.clp.CommandLineParser

      `espritVersion, optDebug, optDemo, optHelp, optLocale, optLogDir, optLogToFile, optNoConsole, optTest, optVerbose, optVersion`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DBToolCommandLineParser(java.lang.Class mainClass, java.lang.String... args)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.io.File` | `getScriptFile()`
    `java.lang.String` | `getSqlStatement()`
    `boolean` | `isSkipErrors()`

    - ### Methods inherited from class de.esprit.appsuite.database.dbase.clp.DatabaseCommandLineParser

      `checkForMissingCredentialOptions, checkForMissingOption, createConfig, getConnectionPool, getCredDir, getCredential, getCredential, getCredFile, getDriver, getLoginTimeout, getMaxConns, getMinConns, getPassword, getSchema, getUrl, getUser`

    - ### Methods inherited from class de.esprit.appsuite.launch.ApplicationCommandLineParser

      `getApplicationName, getConfig, isPrintVersionOnly, setDefaultApplicationName`

    - ### Methods inherited from class de.esprit.common.clp.CommandLineParser

      `addOption, addOption, addSoftwareVersion, checkDependencies, createHelpText, createHelpText, createOptionList, createSyntaxLine, ensureParsed, fetchDefinedOptionFor, findDefinedOptionFor, getArgument, getArgumentCount, getArguments, getCustomVersion, getEspritVersion, getLogDir, getMainClass, getSoftwareVersions, getStartLogLevel, handleParsingError, hasArguments, isDebug, isDemoMode, isExitAfterParsing, isLogToFile, isNoConsoleLog, isParsed, isTestMode, isVerbose, parse, removeOption, removeOption`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### optSqlCommand

          protected final DBToolCommandLineParser.MyOptionSqlCommand optSqlCommand

    - #### optSqlScript

          protected final DBToolCommandLineParser.MyOptionSqlScript optSqlScript

    - #### optSkipErrors

          protected final DBToolCommandLineParser.MyOptionSkipErrors optSkipErrors

  - ### Constructor Detail

    - #### DBToolCommandLineParser

          public DBToolCommandLineParser(java.lang.Class mainClass,
                                 java.lang.String... args)

  - ### Method Detail

    - #### getSqlStatement

          public java.lang.String getSqlStatement()

    - #### getScriptFile

          public java.io.File getScriptFile()

    - #### isSkipErrors

          public boolean isSkipErrors()

Copyright © 2014 EsprIT-Systems. All Rights Reserved.